changeset 155:cc2d4925f280

Produce a cello-friendly Booke. Transpose down 2 octaves and display with bass clef.
author Jim Hague <jim.hague@laicatc.com>
date Tue, 05 Jun 2012 19:34:54 +0100
parents 25e252792140
children 281df9ef7cee dc3baed65d14
files makeCello.sh
diffstat 1 files changed, 27 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/makeCello.sh	Tue Jun 05 19:34:54 2012 +0100
@@ -0,0 +1,27 @@
+#!/bin/bash
+#
+# Copy a booke to cello-friendly form. Bass clef, transposed down 2 octaves.
+#
+# It would be easier to do with transpose in dottes.fmt, but I can't get
+# that to work properly for a 2 octave downward transpose.
+#
+# This relies on abcm2ps >= 6.0 but does not check for it.
+
+if [ $# != 1 ]; then
+    echo "Usage: makeCello.sh <book dir name>"
+    exit 1
+fi
+
+dir=`pwd`
+
+booke=$dir/$1
+outdir=$dir/$1-Cello
+
+mkdir -p $outdir
+
+find $booke -name "*.abc" | sort |
+    while read filename
+    do
+        name=`basename $filename .abc`
+        sed -e "/^ *K:/s/$/ octave=-2/" $filename > $outdir/$name.abc
+    done